IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fc4f::/16- First address
fc4f::- Last address
fc4f:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fc4f:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
f.4.c.f.ip6.arpa
Split into smaller subnets
fc4f::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc4f::/24 | fc4f:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc4f:100::/24 | fc4f:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc4f:200::/24 | fc4f:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc4f:300::/24 | fc4f:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc4f:400::/24 | fc4f:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc4f:500::/24 | fc4f:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc4f:600::/24 | fc4f:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc4f:700::/24 | fc4f:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc4f:800::/24 | fc4f:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc4f:900::/24 | fc4f:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc4f:a00::/24 | fc4f:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc4f:b00::/24 | fc4f:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc4f:c00::/24 | fc4f:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc4f:d00::/24 | fc4f:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc4f:e00::/24 | fc4f:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc4f:f00::/24 | fc4f:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc4f:1000::/24 | fc4f:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc4f:1100::/24 | fc4f:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc4f:1200::/24 | fc4f:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc4f:1300::/24 | fc4f:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc4f:1400::/24 | fc4f:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc4f:1500::/24 | fc4f:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc4f:1600::/24 | fc4f:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc4f:1700::/24 | fc4f:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc4f:1800::/24 | fc4f:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc4f:1900::/24 | fc4f:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc4f:1a00::/24 | fc4f:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc4f:1b00::/24 | fc4f:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc4f:1c00::/24 | fc4f:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc4f:1d00::/24 | fc4f:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc4f:1e00::/24 | fc4f:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc4f:1f00::/24 | fc4f:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc4f:2000::/24 | fc4f:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc4f:2100::/24 | fc4f:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc4f:2200::/24 | fc4f:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc4f:2300::/24 | fc4f:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc4f:2400::/24 | fc4f:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc4f:2500::/24 | fc4f:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc4f:2600::/24 | fc4f:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc4f:2700::/24 | fc4f:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc4f:2800::/24 | fc4f:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc4f:2900::/24 | fc4f:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc4f:2a00::/24 | fc4f:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc4f:2b00::/24 | fc4f:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc4f:2c00::/24 | fc4f:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc4f:2d00::/24 | fc4f:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc4f:2e00::/24 | fc4f:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc4f:2f00::/24 | fc4f:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc4f:3000::/24 | fc4f:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc4f:3100::/24 | fc4f:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc4f:3200::/24 | fc4f:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc4f:3300::/24 | fc4f:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc4f:3400::/24 | fc4f:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc4f:3500::/24 | fc4f:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc4f:3600::/24 | fc4f:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc4f:3700::/24 | fc4f:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc4f:3800::/24 | fc4f:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc4f:3900::/24 | fc4f:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc4f:3a00::/24 | fc4f:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc4f:3b00::/24 | fc4f:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc4f:3c00::/24 | fc4f:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc4f:3d00::/24 | fc4f:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc4f:3e00::/24 | fc4f:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc4f:3f00::/24 | fc4f:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc4f:4000::/24 | fc4f:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc4f:4100::/24 | fc4f:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc4f:4200::/24 | fc4f:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc4f:4300::/24 | fc4f:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc4f:4400::/24 | fc4f:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc4f:4500::/24 | fc4f:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc4f:4600::/24 | fc4f:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc4f:4700::/24 | fc4f:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc4f:4800::/24 | fc4f:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc4f:4900::/24 | fc4f:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc4f:4a00::/24 | fc4f:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc4f:4b00::/24 | fc4f:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc4f:4c00::/24 | fc4f:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc4f:4d00::/24 | fc4f:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc4f:4e00::/24 | fc4f:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc4f:4f00::/24 | fc4f:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc4f:5000::/24 | fc4f:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc4f:5100::/24 | fc4f:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc4f:5200::/24 | fc4f:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc4f:5300::/24 | fc4f:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc4f:5400::/24 | fc4f:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc4f:5500::/24 | fc4f:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc4f:5600::/24 | fc4f:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc4f:5700::/24 | fc4f:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc4f:5800::/24 | fc4f:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc4f:5900::/24 | fc4f:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc4f:5a00::/24 | fc4f:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc4f:5b00::/24 | fc4f:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc4f:5c00::/24 | fc4f:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc4f:5d00::/24 | fc4f:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc4f:5e00::/24 | fc4f:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc4f:5f00::/24 | fc4f:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc4f:6000::/24 | fc4f:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc4f:6100::/24 | fc4f:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc4f:6200::/24 | fc4f:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc4f:6300::/24 | fc4f:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc4f:6400::/24 | fc4f:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc4f:6500::/24 | fc4f:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc4f:6600::/24 | fc4f:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc4f:6700::/24 | fc4f:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc4f:6800::/24 | fc4f:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc4f:6900::/24 | fc4f:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc4f:6a00::/24 | fc4f:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc4f:6b00::/24 | fc4f:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc4f:6c00::/24 | fc4f:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc4f:6d00::/24 | fc4f:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc4f:6e00::/24 | fc4f:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc4f:6f00::/24 | fc4f:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc4f:7000::/24 | fc4f:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc4f:7100::/24 | fc4f:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc4f:7200::/24 | fc4f:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc4f:7300::/24 | fc4f:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc4f:7400::/24 | fc4f:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc4f:7500::/24 | fc4f:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc4f:7600::/24 | fc4f:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc4f:7700::/24 | fc4f:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc4f:7800::/24 | fc4f:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc4f:7900::/24 | fc4f:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc4f:7a00::/24 | fc4f:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc4f:7b00::/24 | fc4f:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc4f:7c00::/24 | fc4f:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc4f:7d00::/24 | fc4f:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc4f:7e00::/24 | fc4f:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc4f:7f00::/24 | fc4f:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc4f:8000::/24 | fc4f:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc4f:8100::/24 | fc4f:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc4f:8200::/24 | fc4f:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc4f:8300::/24 | fc4f:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc4f:8400::/24 | fc4f:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc4f:8500::/24 | fc4f:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc4f:8600::/24 | fc4f:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc4f:8700::/24 | fc4f:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc4f:8800::/24 | fc4f:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc4f:8900::/24 | fc4f:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc4f:8a00::/24 | fc4f:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc4f:8b00::/24 | fc4f:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc4f:8c00::/24 | fc4f:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc4f:8d00::/24 | fc4f:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc4f:8e00::/24 | fc4f:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc4f:8f00::/24 | fc4f:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc4f:9000::/24 | fc4f:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc4f:9100::/24 | fc4f:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc4f:9200::/24 | fc4f:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc4f:9300::/24 | fc4f:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc4f:9400::/24 | fc4f:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc4f:9500::/24 | fc4f:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc4f:9600::/24 | fc4f:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc4f:9700::/24 | fc4f:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc4f:9800::/24 | fc4f:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc4f:9900::/24 | fc4f:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc4f:9a00::/24 | fc4f:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc4f:9b00::/24 | fc4f:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc4f:9c00::/24 | fc4f:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc4f:9d00::/24 | fc4f:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc4f:9e00::/24 | fc4f:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc4f:9f00::/24 | fc4f:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc4f:a000::/24 | fc4f:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc4f:a100::/24 | fc4f:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc4f:a200::/24 | fc4f:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc4f:a300::/24 | fc4f:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc4f:a400::/24 | fc4f:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc4f:a500::/24 | fc4f:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc4f:a600::/24 | fc4f:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc4f:a700::/24 | fc4f:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc4f:a800::/24 | fc4f:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc4f:a900::/24 | fc4f:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc4f:aa00::/24 | fc4f:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc4f:ab00::/24 | fc4f:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc4f:ac00::/24 | fc4f:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc4f:ad00::/24 | fc4f:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc4f:ae00::/24 | fc4f:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc4f:af00::/24 | fc4f:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc4f:b000::/24 | fc4f:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc4f:b100::/24 | fc4f:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc4f:b200::/24 | fc4f:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc4f:b300::/24 | fc4f:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc4f:b400::/24 | fc4f:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc4f:b500::/24 | fc4f:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc4f:b600::/24 | fc4f:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc4f:b700::/24 | fc4f:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc4f:b800::/24 | fc4f:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc4f:b900::/24 | fc4f:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc4f:ba00::/24 | fc4f:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc4f:bb00::/24 | fc4f:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc4f:bc00::/24 | fc4f:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc4f:bd00::/24 | fc4f:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc4f:be00::/24 | fc4f:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc4f:bf00::/24 | fc4f:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc4f:c000::/24 | fc4f:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc4f:c100::/24 | fc4f:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc4f:c200::/24 | fc4f:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc4f:c300::/24 | fc4f:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc4f:c400::/24 | fc4f:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc4f:c500::/24 | fc4f:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc4f:c600::/24 | fc4f:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc4f:c700::/24 | fc4f:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc4f:c800::/24 | fc4f:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc4f:c900::/24 | fc4f:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc4f:ca00::/24 | fc4f:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc4f:cb00::/24 | fc4f:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc4f:cc00::/24 | fc4f:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc4f:cd00::/24 | fc4f:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc4f:ce00::/24 | fc4f:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc4f:cf00::/24 | fc4f:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc4f:d000::/24 | fc4f:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc4f:d100::/24 | fc4f:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc4f:d200::/24 | fc4f:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc4f:d300::/24 | fc4f:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc4f:d400::/24 | fc4f:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc4f:d500::/24 | fc4f:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc4f:d600::/24 | fc4f:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc4f:d700::/24 | fc4f:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc4f:d800::/24 | fc4f:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc4f:d900::/24 | fc4f:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc4f:da00::/24 | fc4f:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc4f:db00::/24 | fc4f:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc4f:dc00::/24 | fc4f:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc4f:dd00::/24 | fc4f:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc4f:de00::/24 | fc4f:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc4f:df00::/24 | fc4f:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc4f:e000::/24 | fc4f:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc4f:e100::/24 | fc4f:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc4f:e200::/24 | fc4f:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc4f:e300::/24 | fc4f:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc4f:e400::/24 | fc4f:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc4f:e500::/24 | fc4f:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc4f:e600::/24 | fc4f:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc4f:e700::/24 | fc4f:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc4f:e800::/24 | fc4f:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc4f:e900::/24 | fc4f:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc4f:ea00::/24 | fc4f:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc4f:eb00::/24 | fc4f:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc4f:ec00::/24 | fc4f:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc4f:ed00::/24 | fc4f:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc4f:ee00::/24 | fc4f:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc4f:ef00::/24 | fc4f:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc4f:f000::/24 | fc4f:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc4f:f100::/24 | fc4f:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc4f:f200::/24 | fc4f:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc4f:f300::/24 | fc4f:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc4f:f400::/24 | fc4f:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc4f:f500::/24 | fc4f:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc4f:f600::/24 | fc4f:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc4f:f700::/24 | fc4f:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc4f:f800::/24 | fc4f:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc4f:f900::/24 | fc4f:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc4f:fa00::/24 | fc4f:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc4f:fb00::/24 | fc4f:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc4f:fc00::/24 | fc4f:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc4f:fd00::/24 | fc4f:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc4f:fe00::/24 | fc4f:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc4f:ff00::/24 | fc4f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |